org.keycloak.models.session

## Class PersistentUserSessionAdapter.PersistentUserSessionData

- java.lang.Object
- - org.keycloak.models.session.PersistentUserSessionAdapter.PersistentUserSessionData

- Enclosing class:
    PersistentUserSessionAdapter

      protected static class PersistentUserSessionAdapter.PersistentUserSessionData
      extends Object

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `PersistentUserSessionData()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAuthMethod()`
    `String` | `getBrokerSessionId()`
    `String` | `getBrokerUserId()`
    `String` | `getIpAddress()`
    `Map<String,String>` | `getNotes()`
    `int` | `getStarted()` Deprecated.
    `String` | `getState()`
    `boolean` | `isRememberMe()`
    `void` | `setAuthMethod(String authMethod)`
    `void` | `setBrokerSessionId(String brokerSessionId)`
    `void` | `setBrokerUserId(String brokerUserId)`
    `void` | `setIpAddress(String ipAddress)`
    `void` | `setNotes(Map<String,String> notes)`
    `void` | `setRememberMe(boolean rememberMe)`
    `void` | `setStarted(int started)` Deprecated.
    `void` | `setState(String state)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PersistentUserSessionData

          protected PersistentUserSessionData()

  - ### Method Detail

    - #### getBrokerSessionId

          public String getBrokerSessionId()

    - #### setBrokerSessionId

          public void setBrokerSessionId(String brokerSessionId)

    - #### getBrokerUserId

          public String getBrokerUserId()

    - #### setBrokerUserId

          public void setBrokerUserId(String brokerUserId)

    - #### getIpAddress

          public String getIpAddress()

    - #### setIpAddress

          public void setIpAddress(String ipAddress)

    - #### getAuthMethod

          public String getAuthMethod()

    - #### setAuthMethod

          public void setAuthMethod(String authMethod)

    - #### isRememberMe

          public boolean isRememberMe()

    - #### setRememberMe

          public void setRememberMe(boolean rememberMe)

    - #### getStarted

          @Deprecated
          public int getStarted()

      Deprecated.

    - #### setStarted

          @Deprecated
          public void setStarted(int started)

      Deprecated.

    - #### getNotes

          public Map<String,String> getNotes()

    - #### setNotes

          public void setNotes(Map<String,String> notes)

    - #### getState

          public String getState()

    - #### setState

          public void setState(String state)

Copyright © 2021 JBoss by Red Hat. All rights reserved.